[metadata]
name = grafana-client
friendly_name = Grafana client
description = A client library for accessing the Grafana HTTP API, written in Python
long_description = file: README.md
long_description_content_type = text/markdown
license = MIT
license_file = LICENSE
author = Andrew Prokhorenkov
author_email = andrew.prokhorenkov@gmail.com
maintainer = Andreas Motl
maintainer_email = andreas.motl@panodata.org
copyright = Copyright 2017-2020 Andrew Prokhorenkov <andrew.prokhorenkov@gmail.com>
url = https://github.com/panodata/grafana-client
project_urls =
    Source = https://github.com/panodata/grafana-client
    Tracker = https://github.com/panodata/grafana-client/issues
classifiers =
    Development Status :: 5 - Production/Stable
    Environment :: Console
    Environment :: Web Environment
    Intended Audience :: Developers
    Intended Audience :: Education
    Intended Audience :: Information Technology
    Intended Audience :: Manufacturing
    Intended Audience :: Science/Research
    Intended Audience :: System Administrators
    Intended Audience :: Telecommunications Industry
    License :: OSI Approved :: MIT License
    Operating System :: OS Independent
    Programming Language :: Python
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Programming Language :: Python :: 3.11
    Programming Language :: Python :: 3.12
    Programming Language :: Python :: Implementation :: CPython
    Programming Language :: Python :: Implementation :: PyPy
    Topic :: Communications
    Topic :: Database
    Topic :: Internet
    Topic :: Internet :: WWW/HTTP
    Topic :: Scientific/Engineering
    Topic :: Scientific/Engineering :: Human Machine Interfaces
    Topic :: Scientific/Engineering :: Information Analysis
    Topic :: Scientific/Engineering :: Interface Engine/Protocol Translator
    Topic :: Scientific/Engineering :: Visualization
    Topic :: Software Development
    Topic :: Software Development :: Libraries
    Topic :: Software Development :: Libraries :: Python Modules
    Topic :: System :: Archiving
    Topic :: System :: Networking :: Monitoring
    Topic :: Utilities
    Operating System :: MacOS
    Operating System :: OS Independent
    Operating System :: POSIX
    Operating System :: Unix
keywords = grafana http api grafana-client grafana-api http-client grafana-utils grafana-automation grafana-toolbox

[options]
use_scm_version = True
python_requires = >=3.6
packages = find:
include_package_data = True
zip_safe = False
setup_requires =
    setuptools-scm<9

# https://setuptools.pypa.io/en/latest/userguide/dependency_management.html#platform-specific-dependencies
install_requires =
    requests>=2.23.0,<3
    dataclasses;python_version<='3.6'
    importlib-metadata;python_version<='3.7'
    verlib2==0.2.0

[options.extras_require]
test =
    parameterized>=0.8,<1
    codecov<3
    coverage[toml]<8
    unittest-xml-reporting<4
    requests-mock<2

develop =
    isort<6
    black<24
    build<2
    poethepoet<1
    pip-review<2  # Use `pip-review --local --interactive` to upgrade outdated packages.
    ruff==0.1.11;python_version>='3.7'


[options.packages.find]
where = .
exclude = test

[bdist_wheel]
universal = true

[tool.setuptools_scm]
local_scheme = no-local-version
version_scheme = python-simplified-semver
write_to = grafana_client/version.py
